[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TCustomBucketList.Assign

Assign one bucket list to another

## Declaration

Source position: contnrs.pp line 528

`public procedure TCustomBucketList.Assign(`
`AList: TCustomBucketList`
`);`

## Arguments

`AList` |  | Source list to copy items from

## Description

Assign is implemented by TCustomBucketList to copy the contents of another bucket list to the bucket list. It clears the contents prior to the copy operation.

## See also

TCustomBucketList.Add |  | Add an item to the list
TCustomBucketList.Clear |  | Clear the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net.